import { defineNuxtModule, createResolver, addTemplate, addPlugin } from '@nuxt/kit';

const module = defineNuxtModule({
  meta: {
    name: "axios-nuxt-3",
    configKey: "axios"
  },
  setup(options) {
    const resolver = createResolver(import.meta.url);
    addTemplate({
      filename: "axios-options.mjs",
      getContents() {
        return `export const axiosOptions = ${JSON.stringify(options)}`;
      }
    });
    addPlugin(resolver.resolve("./runtime/plugin"));
  }
});

export { module as default };
